import request from '@/utils/request'

// 查询会员企业信息列表
export function listInfo(query) {
  return request({
    url: '/buyer/company/list',
    method: 'get',
    params: query
  })
}

// 查询会员企业信息详细
export function getInfo(id) {
  return request({
    url: '/buyer/company/' + id,
    method: 'get'
  })
}

// 新增会员企业信息
export function addInfo(data) {
  return request({
    url: '/buyer/company',
    method: 'post',
    data: data
  })
}

// 修改会员企业信息
export function updateInfo(data) {
  return request({
    url: '/buyer/company',
    method: 'put',
    data: data
  })
}

// 充值会员企业信息
export function rechargeCompany(data) {
  return request({
    url: '/buyer/company/recharge',
    method: 'put',
    data: data
  })
}

// 删除会员企业信息
export function delInfo(id) {
  return request({
    url: '/buyer/company/' + id,
    method: 'delete'
  })
}
